Subject: bug#39380: 26.3: Opening files in vc-dir-mode with differing root and working dir fails

From: Dmitry Gutov <[email-masked]>
Date: Sat, 1 Feb 2020 10:20:45 +0300

On 01.02.2020 3:13, Wolfgang Scherer wrote:
> It is IMHO better to remove the hybrid state of `vc-dir-mode`, where
> the default directory is different from the root directory

If you mean to always open VC-Dir in repository roots, I'm not sure we 
can do that.

We had a discussion about that at one point (purely for reasons of 
usability), and turns out some people routinely open VC-Dir in 
subdirectories. To focus on a subset of a project, or whatever.